CREATE TABLE bm_company_prefs (
    ID                        NUMBER(18, 0) ,
    COMPANY_ID                NUMBER(18, 0)     NOT NULL,
    DEFAULT_PART_RFQ_RECP     NUMBER(18, 0) ,
    DEFAULT_PART_PO_RECP      NUMBER(18, 0) ,
    DEFAULT_EQUIP_RFQ_RECP    NUMBER(18, 0) ,
    DEFAULT_EQUIP_PO_RECP     NUMBER(18, 0) ,
    DATE_ADDED                DATE              NOT NULL,
    DATE_MODIFIED             DATE          ,
    PARTS_BOM_LEVEL           NUMBER(18, 0) ,
    PARTS_ITEM_MASTER_PREF    NUMBER(3, 0)  ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    SEED_DATA_SOURCE          VARCHAR2(2048),
    ORA_SEED_SET1             VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2             VARCHAR2(4)       NOT NULL,
    ID                        NUMBER(18, 0) ,
    COMPANY_ID                NUMBER(18, 0)     NOT NULL,
    DEFAULT_PART_RFQ_RECP     NUMBER(18, 0) ,
    DEFAULT_PART_PO_RECP      NUMBER(18, 0) ,
    DEFAULT_EQUIP_RFQ_RECP    NUMBER(18, 0) ,
    DEFAULT_EQUIP_PO_RECP     NUMBER(18, 0) ,
    DATE_ADDED                DATE              NOT NULL,
    DATE_MODIFIED             DATE          ,
    PARTS_BOM_LEVEL           NUMBER(18, 0) ,
    PARTS_ITEM_MASTER_PREF    NUMBER(3, 0)  ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    SEED_DATA_SOURCE          VARCHAR2(2048),
    ORA_SEED_SET1             VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2             VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_bm_company_prefs PRIMARY KEY (ID, ID)
);
